=== debian/changelog ===
libopensmtpd (0.7-1) unstable; urgency=medium

  * Initial release (Closes: #989267)

 -- Ryan Kavanagh <rak@debian.org>  Thu, 10 Jun 2021 07:51:44 -0400
