=== debian/control ===
Source: libopensmtpd
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends: debhelper-compat (= 13),
               libevent-dev,
               mandoc,
Standards-Version: 4.5.1
Section: libs
Homepage: https://imperialat.at/dev/libopensmtpd/
Vcs-Browser: https://salsa.debian.org/debian/libopensmtpd
Vcs-Git: https://salsa.debian.org/debian/libopensmtpd.git
Rules-Requires-Root: binary-targets

Package: libopensmtpd-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libopensmtpd0 (= ${binary:Version}),
         ${misc:Depends},
Description: development files for libopensmtpd
 This library provides an event-based interface for writing
 OpenSMTPD filters. It is used, for example, by the dkimsign filter
 provided by the filter-dkimsign package.
 .
 This package provides C header files. Non-developers likely have
 little use for this package.

Package: libopensmtpd0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: event-based interface for writing OpenSMTPD filters
 This library provides an event-based interface for writing
 OpenSMTPD filters. It is used, for example, by the dkimsign filter
 provided by the filter-dkimsign package.
