=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=makefile

override_dh_auto_configure:
	dh_auto_configure -- -f Makefile.gnu

override_dh_auto_build:
	dh_auto_build -- -f Makefile.gnu

override_dh_auto_install:
	dh_auto_install -- -f Makefile.gnu LOCALBASE=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
	dh_auto_clean -- -f Makefile.gnu

override_dh_auto_test:
	# no tests
